import 'package:flutter/material.dart';
import 'package:neo_toolbox/provider/view_notifier_consumer.dart';

class ViewNotifierConsumerExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return ViewNotifierConsumer<MyNotifier>(
      notifier: MyNotifier(),
      onViewInit: (notifier) => notifier.onViewInit(),
      builder: (ctx, notifier, child) {
        return Scaffold(
          appBar: AppBar(
            title: Text('View Notifier Consumer Demo'),
          ),
          body: Center(
            child: Text('${notifier.counter}'),
          ),
          floatingActionButton: FloatingActionButton(
            child: Icon(Icons.add),
            onPressed: notifier.increaseCounter,
          ),
        );
      },
    );
  }
}

class MyNotifier with ChangeNotifier {
  int counter;

  void onViewInit() async {
    counter = 0;
  }

  void increaseCounter() {
    counter++;
    //call to rebuild the widget tree
    notifyListeners();
  }
}
