import 'package:flutter/widgets.dart';

/// OrientationLayout will automatically choose portrait or landcaspe widget
/// to build based on the current orientation.
///
/// If the landscape widget is not provided, the portrait widget will use instead.
///
/// Reference: https://www.filledstacks.com/post/building-a-responsive-ui-architecture-in-flutter/
///
class OrientationLayout extends StatelessWidget {
  final Widget landscape;
  final Widget portrait;
  OrientationLayout({
    Key key,
    this.landscape,
    @required this.portrait,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var orientation = MediaQuery.of(context).orientation;
    if (orientation == Orientation.landscape) {
      return landscape ?? portrait;
    }

    return portrait;
  }
}
