import 'package:flutter/material.dart';
import 'package:neo_toolbox/responsive/device_screen_type.dart';

class SizingInformation {
  /// Mobile / Tablet / Desktop
  final DeviceScreenType deviceScreenType;

  /// Device Screen Size
  final Size screenSize;

  /// The parent widget's box constraints size
  final Size localWidgetSize;

  SizingInformation({
    this.deviceScreenType,
    this.screenSize,
    this.localWidgetSize,
  });

  @override
  String toString() {
    return 'DeviceType:$deviceScreenType ScreenSize:$screenSize LocalWidgetSize:$localWidgetSize';
  }
}
