import 'package:flutter/widgets.dart';
import 'package:neo_toolbox/responsive/device_screen_type.dart';

/// Reference: https://www.mydevice.io/#compare-devices
///
///
DeviceScreenType getDeviceType(MediaQueryData mediaQuery) {
  double deviceWidth = mediaQuery.size.shortestSide;

  if (deviceWidth > 950) {
    return DeviceScreenType.Desktop;
  }

  if (deviceWidth > 600) {
    return DeviceScreenType.Tablet;
  }

  return DeviceScreenType.Mobile;
}

/// All the Size values are calculated in logical pixel not physical pixel.
/// The 2 below functions are example functions and need to be adjusted to suit your need
///
double getResponsiveHeight(Size actualScreenSize, double designHeight,
    [Size designScreenSize = const Size(375, 647)]) {
  if (designHeight == null) return null;
  return actualScreenSize.height * designHeight / designScreenSize.height;
}

double getResponsiveWidth(Size actualScreenSize, double designWidth,
    [Size designScreenSize = const Size(375, 647)]) {
  if (designWidth == null) return null;
  return actualScreenSize.width * designWidth / designScreenSize.width;
}
